This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986530 - Review Request: cinnamon-session - Cinnamon session manager
Review Request: cinnamon-session - Cinnamon session manager
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 05:43 EDT by leigh scott
Modified: 2014-01-13 08:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 10:37:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2013-07-20 05:43:27 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-session/1/cinnamon-session.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/cinnamon-session/1/cinnamon-session-1.0.0-0.1.git090f4bd.fc19.src.rpm

Description: Cinnamon-session manages a Cinnamon desktop or GDM login session. It starts up
the other core components and handles logout and saving the session.

Fedora Account System Username: leigh123linux
Comment 1 Wolfgang Ulbrich 2013-07-20 07:32:04 EDT
Why BuildRequires: GConf2-devel  ?
Comment 2 leigh scott 2013-07-20 07:45:53 EDT
(In reply to Wolfgang Ulbrich from comment #1)
> Why BuildRequires: GConf2-devel  ?

It was a left over from gnome-session.spec, I have re-uploaded the spec and srpm.
Comment 3 Wolfgang Ulbrich 2013-07-20 10:32:55 EDT
APPROVED !

Pls try to simplify doc dir in file section before you import!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in cinnamon-session
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Fault positive, the desktop file doesn't contain any mime type.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: glib-compile-schemas is run if required
     Note: gschema file(s) in cinnamon-session
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 6 files have unknown license. Detailed output of licensecheck
     in /home/rave/986530-cinnamon-session/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in cinnamon-session
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 81920 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1187840 bytes in /usr/share 1187840
     cinnamon-session-1.0.0-0.1.git090f4bd.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cinnamon-session-1.0.0-0.1.git090f4bd.fc20.x86_64.rpm
cinnamon-session.x86_64: W: spelling-error %description -l en_US login -> loin, logic, lo gin
cinnamon-session.x86_64: W: spelling-error %description -l en_US logout -> lo gout, lo-gout, log out
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cinnamon-session
cinnamon-session.x86_64: W: spelling-error %description -l en_US login -> loin, logic, lo gin
cinnamon-session.x86_64: W: spelling-error %description -l en_US logout -> lo gout, lo-gout, log out
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
cinnamon-session (rpmlib, GLIBC filtered):
    /bin/sh
    control-center-filesystem
    dbus-x11
    dconf
    gsettings-desktop-schemas
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXau.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXext.so.6()(64bit)
    libXrender.so.1()(64bit)
    libXtst.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libsystemd-daemon.so.0()(64bit)
    libsystemd-daemon.so.0(LIBSYSTEMD_DAEMON_31)(64bit)
    libsystemd-login.so.0()(64bit)
    libsystemd-login.so.0(LIBSYSTEMD_LOGIN_31)(64bit)
    libsystemd-login.so.0(LIBSYSTEMD_LOGIN_43)(64bit)
    libupower-glib.so.1()(64bit)
    notification-daemon
    polkit-desktop-policy
    polkit-gnome
    rtld(GNU_HASH)
    system-logos



Provides
--------
cinnamon-session:
    cinnamon-session
    cinnamon-session(x86-64)



Source checksums
----------------
http://leigh123linux.fedorapeople.org/pub/cinnamon-session/source/cinnamon-session-1.0.0.git090f4bd.tar.gz :
  CHECKSUM(SHA256) this package     : 773ad19bd2fe0940666a5875b425be764f22ba0fab81ec5990fdfd395b8b17d7
  CHECKSUM(SHA256) upstream package : 773ad19bd2fe0940666a5875b425be764f22ba0fab81ec5990fdfd395b8b17d7


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 986530
Comment 4 leigh scott 2013-07-20 11:07:40 EDT
New Package SCM Request
=======================
Package Name: cinnamon-session
Short Description: Cinnamon session manager
Owners: leigh123linux
Branches: f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-22 06:09:12 EDT
Git done (by process-git-requests).
Comment 6 Michael Schwendt 2013-09-28 17:27:16 EDT
> %doc %dir %{_datadir}/doc/%{name}-%{version}
> %doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
> %doc %{_datadir}/doc/%{name}-%{version}/COPYING
> %doc %{_datadir}/doc/%{name}-%{version}/README
> %doc %dir %{_datadir}/doc/%{name}-%{version}/dbus
> %doc %{_datadir}/doc/%{name}-%{version}/dbus/*
> %doc %{_mandir}/man*/*

As a hint here, files in several paths are implicitly marked as %doc and need not be marked as such in the spec file. Among them are %_docdir (/usr/share/doc) and %_mandir (/usr/share/man). See 'rpm -E %__docdir_path'.
Comment 7 leigh scott 2014-01-02 11:49:13 EST
Package Change Request
======================
Package Name: cinnamon-session
New Branches: epel7
Owners: leigh123linux
Comment 8 Gwyn Ciesla 2014-01-02 12:02:52 EST
No epel7 branches yet.
Comment 9 leigh scott 2014-01-12 08:16:49 EST
Package Change Request
======================
Package Name: cinnamon-session
New Branches: epel7
Owners: leigh123linux
Comment 10 Gwyn Ciesla 2014-01-13 08:26:29 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.